Class Fox::FXPseudoTarget

In: | ../lib/fox/responder2.rb
Parent: | FXObject

FXPseudoTarget instances act as the message target for any widgets that elect to use the connect method to map certain message types to blocks.

Methods

new onHandleMsg pconnect

Included modules

Responder

Public Class methods

new()

Returns an initialized FXPseudoTarget object.

Public Instance methods

pconnect(messageType, callableObject, block)

Store an association between a message of type messageType with a callable object or a block.

onHandleMsg(sender, sel, ptr)

Handle a message from sender, with selector sel and message data ptr.